package com.ss.android.ugc.aweme.comment.services;

import X.0AA;
import X.1hK;
import X.2Pr;
import X.4At;
import X.4we;
import X.8Ze;
import X.A63;
import X.AnonymousClass9ly;
import X.AnonymousClass9tT;
import X.AnonymousClass9tY;
import X.AnonymousClass9x2;
import X.AnonymousClass9xA;
import X.C01009pw;
import X.C01919tj;
import X.C02039tv;
import X.C02609wa;
import X.CgQ;
import X.Ls2;
import X.TnV;
import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.comment.api.CommentViewModel;
import com.ss.android.ugc.aweme.comment.model.BaseCommentResponse;
import com.ss.android.ugc.aweme.comment.model.Comment;
import com.ss.android.ugc.aweme.comment.model.CommentRethinkPopup;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import com.ss.android.ugc.aweme.model.TextExtraStruct;
import com.ss.android.ugc.aweme.sticker.data.QaStruct;
import java.util.List;

public interface CommentService {
    public static final AnonymousClass9x2 LIZ = AnonymousClass9x2.LIZ;

    static {
        Covode.recordClassIndex(57235);
    }

    4At LIZ(View view, 0AA r2, String str, AnonymousClass9tT r4, AnonymousClass9tY r5);

    C02039tv LIZ(Fragment fragment, int i, C01009pw r3);

    C02609wa LIZ(0AA r1);

    C02609wa LIZ(Activity activity, Aweme aweme, AnonymousClass9ly r3);

    AnonymousClass9xA LIZ(Aweme aweme);

    CgQ LIZ(A63 a63);

    CommentViewModel LIZ(1hK r1);

    BaseCommentResponse LIZ(String str, String str2, String str3);

    List<TextExtraStruct> LIZ(AnonymousClass9xA r1);

    List<TextExtraStruct> LIZ(AnonymousClass9xA r1, AwemeRawAd awemeRawAd, Ls2<2Pr> ls2);

    List<TextExtraStruct> LIZ(Context context, Aweme aweme, AnonymousClass9xA r3);

    List<String> LIZ(boolean z);

    void LIZ();

    void LIZ(0AA r1, CommentRethinkPopup commentRethinkPopup, Ls2<2Pr> ls2, Ls2<2Pr> ls22, Ls2<2Pr> ls23, String str);

    void LIZ(Activity activity, String str, String str2, String str3, int i);

    void LIZ(Context context, int i, String str);

    void LIZ(Context context, Aweme aweme, TnV tnV);

    void LIZ(Context context, QaStruct qaStruct, String str, String str2, String str3, String str4, String str5);

    void LIZ(Comment comment, String str);

    void LIZ(Aweme aweme, Integer num, int i, String str, String str2);

    void LIZ(Aweme aweme, String str, String str2, String str3, int i, 4we r6);

    void LIZ(String str);

    void LIZ(String str, Aweme aweme);

    void LIZ(String str, String str2);

    void LIZ(String str, String str2, int i, String str3, String str4, String str5);

    boolean LIZ(Context context);

    boolean LIZ(Context context, Exception exc);

    boolean LIZ(ViewGroup viewGroup, Aweme aweme, TnV tnV);

    String LIZIZ(AnonymousClass9xA r1);

    String LIZIZ(String str);

    void LIZIZ();

    void LIZIZ(Context context);

    boolean LIZIZ(Aweme aweme);

    void LIZJ();

    void LIZJ(Context context);

    boolean LIZJ(Aweme aweme);

    8Ze LIZLLL();

    boolean LJ();

    C01919tj LJFF();
}
